obteo

plugin handler error

Recommended Posts

Hi everybody, I just realized that no plugin is loaded because of the error:

Requested handler plugin v. 3.1, server is 4.0

any idea?

thank you. cheers

Share this post


Link to post
Share on other sites

I was able to replace most of them... I can't find this file: sourcebansplugin.so

I can't compile.... i'm not able :/ anyone has it please?

Edited by obteo

Share this post


Link to post
Share on other sites
21 hours ago, DRATiNYMOUS said:

what does this mean exactly? does it have anything to do with my failing to load trueskill.tmp?

Plugins are now held in the xbase_00.iwd - meaning there is no need for a "plugins" folder or similar. Best to check your xbase_00.iwd file and check if trueskill is in there.

Share this post


Link to post
Share on other sites
18 minutes ago, Koaja said:

Plugins are now held in the xbase_00.iwd - meaning there is no need for a "plugins" folder or similar. Best to check your xbase_00.iwd file and check if trueskill is in there.

i did check in there and it isn't present. I'm guessing id have to compile a new iwd to include it?image.thumb.png.cc0673647efefcac89228e27f1e42cf9.png

Edited by DRATiNYMOUS

Share this post


Link to post
Share on other sites
Just now, DRATiNYMOUS said:

i did check in there and it isn't present. I'm guessing id have to compile a new iwd to include it?

You can just download the server files from the home page and replace it most likely. Make a backup first to be safe

Share this post


Link to post
Share on other sites
Just now, Koaja said:

You can just download the server files from the home page and replace it most likely. Make a backup first to be safe

thats where I got this copy

Share this post


Link to post
Share on other sites
1 minute ago, DRATiNYMOUS said:

I tried that too but was told g++ wasnt recognized as a command.. googled that issue awhile and couldnt figure that out. im a mess lol

Im assuming you have build-essential package installed?

If not install it and try again, Other than that I have no clue sorry 😅

Share this post


Link to post
Share on other sites
Just now, Koaja said:

Im assuming you have build-essential package installed?

If not install it and try again, Other than that I have no clue sorry 😅

yeah man i installed TONS of packages after awhile just hoping one would work LOL

Share this post


Link to post
Share on other sites
1 minute ago, DRATiNYMOUS said:

yeah man i installed TONS of packages after awhile just hoping one would work LOL

@leiizko may be of more help than I am - Hope you get it resolved though dude 

Share this post


Link to post
Share on other sites
1 hour ago, DRATiNYMOUS said:

i did check in there and it isn't present. I'm guessing id have to compile a new iwd to include it?image.thumb.png.cc0673647efefcac89228e27f1e42cf9.png

Iwd is just a zip archive. Open it with 7-zip (or similar software) and add your plugi. OR just make a plugins directory and copy the plugin there.

If the plugin fails to load you should see a clear message about that in the server log. If loading a plugin fails you should check if you are missing any dependencies with the ldd command

Share this post


Link to post
Share on other sites
26 minutes ago, dpj said:

Iwd is just a zip archive. Open it with 7-zip (or similar software) and add your plugi. OR just make a plugins directory and copy the plugin there.

If the plugin fails to load you should see a clear message about that in the server log. If loading a plugin fails you should check if you are missing any dependencies with the ldd command

This is what happens when I try to do anything to the xbase archive. I'm not familiar with ldd at all.. would the dependency walker program suffice?

Share this post


Link to post
Share on other sites

Can't say why this happens to you, maybe my environment was broken when i compiled it. Try to compile it yourself and see if it works.

 

5 hours ago, DRATiNYMOUS said:

I tried that too but was told g++ wasnt recognized as a command.. googled that issue awhile and couldnt figure that out. im a mess lol

You did not set the PATH environment variable. Google that and you should be good to go.

Share this post


Link to post
Share on other sites
Just now, leiizko said:

Can't say why this happens to you, maybe my environment was broken when i compiled it. Try to compile it yourself and see if it works.

 

You did not set the PATH environmet variable. Google that and you should be good to go.

I did set the path environment variable :/

Share this post


Link to post
Share on other sites
1 minute ago, DRATiNYMOUS said:

I did set the path environment variable :/

Then i can only assume you instaled gcc only. look for g++ (C++) package.

Share this post


Link to post
Share on other sites
4 minutes ago, leiizko said:

Then i can only assume you instaled gcc only. look for g++ (C++) package.

I installed every package in mingw that had g++ in its name

when I run makedll_win32 i get

Quote

Compiling: release

main_plugin.cpp:1:10: fatal error: ../pinc.h: No such file or directory

#include "../pinc.h"     

                   ^~~~~~~~~~~ 

compilation terminated.

Linking

c:/mingw/bin/../lib/gcc/mingw32/8.2.0/../../../../mingw32/bin/ld.exe: cannot find -lcom_plugin

collect2.exe: error: ld returned 1 exit status

Cleaning up

Press any key to continue . . . 

 

Edited by DRATiNYMOUS

Share this post


Link to post
Share on other sites

You need to download and compile the server first, then drop the plugin src folder into plugin directory in server source and compile.

Share this post


Link to post
Share on other sites
14 hours ago, leiizko said:

You need to download and compile the server first, then drop the plugin src folder into plugin directory in server source and compile.

so this is happening because i used the binary instead of compiling myself? ooooooooooops

Share this post


Link to post
Share on other sites
21 hours ago, DRATiNYMOUS said:

so this is happening because i used the binary instead of compiling myself? ooooooooooops

your compile error is caused by missing the com_plugin, which is created when compiling the server. after you successfully compile the server, you can compile plugins.

anyways, i don't know why you would compile it yourself anyways as there is a binary version of it. 

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.